[ntp:bk-ntp-stable-send] BitKeeper diffs

Harlan Stenn stenn at deacon.udel.edu
Mon Oct 25 07:27:29 UTC 2010


#### ChangeSet ####
2010-10-25 03:26:31-04:00, stenn at deacon.udel.edu 
  Added scripts/checkChangeLog

==== ChangeLog ====
2010-10-25 03:26:25-04:00, stenn at deacon.udel.edu +4 -3
  Added scripts/checkChangeLog

--- 1.662/ChangeLog	2010-10-24 06:17:46 -04:00
+++ 1.663/ChangeLog	2010-10-25 03:26:25 -04:00
@@ -1,12 +1,13 @@
 ---
 
-* [Bug 1676] NMEA: $GPGLL did not work after fix for Bug1571
+* [Bug 1676] NMEA: $GPGLL did not work after fix for Bug 1571.
+* Added scripts/checkChangeLog.
 
 ---
 (4.2.6p3-RC6) 2010/10/24 Released by Harlan Stenn <stenn at ntp.org>
 
-* [Bug 1571] NMEA does not relate data to PPS edge
-* [Bug 1572] NMEA time adjustment for GPZDG buggy
+* [Bug 1571] NMEA does not relate data to PPS edge.
+* [Bug 1572] NMEA time adjustment for GPZDG buggy.
 * [Bug 1675] Prohibit includefile remote config.
 
 ---

==== scripts/Makefile.am ====
2010-10-25 03:17:34-04:00, stenn at deacon.udel.edu +1 -0
  Added scripts/checkChangeLog

--- 1.18/scripts/Makefile.am	2009-12-21 21:01:19 -05:00
+++ 1.19/scripts/Makefile.am	2010-10-25 03:17:34 -04:00
@@ -19,6 +19,7 @@ noinst_SCRIPTS =		\
 	$(NULL)
 
 EXTRA_DIST =			\
+	checkChangeLog		\
 	cvo.sh			\
 	fixautomakedepsmagic	\
 	genCommitLog		\

==== scripts/checkChangeLog ====
2010-10-25 03:16:54-04:00, stenn at deacon.udel.edu +28 -0
  BitKeeper file /deacon/backroom/ntp-stable/scripts/checkChangeLog

--- /dev/null	2010-10-25 03:27:26 -04:00
+++ 1.1/scripts/checkChangeLog	2010-10-25 03:16:54 -04:00
@@ -0,0 +1,28 @@
+#! /bin/sh
+
+. packageinfo.sh
+
+cl1=`head -1 ChangeLog`
+
+case "$repotype" in
+ dev) ;;
+ stable) ;;
+ *) echo "Unexpected repotype <$repotype>"
+    exit 1
+    ;;
+esac
+
+case "$repotype$cl1" in
+ dev---)
+    echo "Dev repo ChangeLog must not begin with '---'!"
+    exit 1
+    ;;
+ dev*)
+    ;;
+ stable---)
+    ;;
+ stable*)
+    echo "Stable repo Changelog must begin with '---'!"
+    exit 1
+    ;;
+esac

==== scripts/checkChangeLog ====
2010-10-25 03:16:54-04:00, stenn at deacon.udel.edu +0 -0


More information about the bk-ntp-stable-send mailing list